{
    "configurations": [
        {
            "name": "Test",
            "defines": ["${default}", "ENV_UNIT_TESTS", "PLATFORM_HOSTED", "RUN_WITH_PROFILING"],
            "includePath": [
                "${default}",
                "aruw-mcb-lite-project/taproot/sim-modm/hosted-linux/modm/src",
                "aruw-mcb-lite-project/taproot/test",
                "aruw-mcb-lite-project/test"
            ],
            "compilerPath": "g++",
            "intelliSenseMode": "gcc-x64",
            "browse": { "limitSymbolsToIncludedHeaders": true }
        },
        {
            "name": "Sim",
            "defines": ["${default}", "PLATFORM_HOSTED", "RUN_WITH_PROFILING"],
            "includePath": [
                "${default}",
                "aruw-mcb-lite-project/taproot/sim-modm/hosted-linux/modm/src"
            ],
            "compilerPath": "g++",
            "intelliSenseMode": "gcc-x64",
            "browse": { "limitSymbolsToIncludedHeaders": true }
        },
        {
            "name": "Hardware",
            "includePath": [
                "${default}",
                "aruw-mcb-lite-project/taproot/modm/src",
                "aruw-mcb-lite-project/taproot/modm/ext/cmsis/core",
                "aruw-mcb-lite-project/taproot/modm/ext/cmsis/device",
                "aruw-mcb-lite-project/taproot/modm/ext/cmsis/dsp"        
            ],
            "compilerPath": "arm-none-eabi-g++",
            "intelliSenseMode": "gcc-arm",
            "browse": { "limitSymbolsToIncludedHeaders": true }
        }
    ],
    "version": 4
}
